Verify email with code
curl --request POST \
--url https://api.cal.com/v2/bookings/verification/email/verify-code \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "user@example.com",
"code": "123456"
}
'import requests
url = "https://api.cal.com/v2/bookings/verification/email/verify-code"
payload = {
"email": "user@example.com",
"code": "123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'user@example.com', code: '123456'})
};
fetch('https://api.cal.com/v2/bookings/verification/email/verify-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"verified": true
}
}Email Verification
Verify email with code
Verifies an email address using the one-time code that was previously sent.
POST
/
v2
/
bookings
/
verification
/
email
/
verify-code
Verify email with code
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I